package realmclient;

import com.sun.appserv.security.*;
import java.io.*;
import java.net.*;
import javax.naming.*;
import javax.rmi.*;
import secure.*;

/**
 *
 * @author Gunnar Grim
 */
public class Main 
{
	
	/**
	 * @param pArgs Command line arguments.
	 */
	public static void main(String[] pArgs)
		throws Exception
	{
		
		System.setProperty("org.omg.CORBA.ORBInitialHost", "localhost");
		System.setProperty("org.omg.CORBA.ORBInitialPort", "3700");
		
		String configFile = "src/realmclient/appclientlogin.conf";
		
		System.setProperty("java.security.auth.login.config", configFile);
		
		ProgrammaticLogin login = new ProgrammaticLogin();
		login.login("gugrim", "gugrim");
		
		Context ctx = new InitialContext();
		Object ref = ctx.lookup("ejb/SecureSessionBean");
		
		SecureSessionRemoteHome home = (SecureSessionRemoteHome)PortableRemoteObject.narrow(ref, SecureSessionRemoteHome.class);
		
		SecureSessionRemote session = home.create();
		
		String name = session.callerName();
		
		System.out.println("Caller name: "+name);
	}
	
}
